Обновление MaxSite CMS и проблема с jQuery

Июнь, 06th 2011
Рубрика: Tips and Tricks -> Web-мастеринг
Подписаться на комментарии по RSS

Решил наконец-то обновить движок блога на MaxSite CMS до версии 0.51 (последняя на данный момент). В принципе, меня вполне устраивала и довольно старенькая версия - 0.41, но вот появилось свободное время и руки нужно было чем-то занять.

Само обновление прошло гладко - заменил движок, как описывалось в инструкции, предварительно правда сделал полную резервную копию, на случай если что-то пойдет не так.

Блог успешно запустился на обновленном движке и с виду всё вроде-бы осталось как и было... при более внимательном рассмотрении, оказалось, что в разделе портфолио не работает карусель jQuery, да и ещё на отдельных страничках слезли украшательства jQuery.

Всё дело в том, что в новой версии MaxSite CMS используется библиотека jQuery 1.6, а она не совместима с прежней, которая использовалась jquery-1.4.2. Для быстрого решения было решено вернуть предыдущую библиотеку.

Переходим к файлу: /application/maxsite/common/common.php

В нем находим необходимую строку, содержащую путь к библиотеке jQuery и исправляем имя файла на старую версию. В моем случае jquery-1.4.2.min.js.

Если вы считаете статью полезной,
не ленитесь ставить лайки и делиться с друзьями.

comments powered by HyperComments
Без регистрации
ваш комментарий будет опубликован после проверки
Регистрация на сайте

На указанный адрес будет отправлено письмо с кодом активации. Вы можете настроить собственный профиль и стать активным участником или автором.